Page MenuHomePhabricator

"dumps" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the dumps project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:32 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:32 AM
bd808 added a subscriber: Nemo_bis.Oct 27 2019, 5:49 AM
bd808 added a comment.Dec 4 2019, 6:06 PM

Ping @Nemo_bis, @Hydriz

The Cloud Services team would like to have Debian Jessie systems replaced with Debian Buster (or Stretch if necessary) before 2019-12-31. Please do respond of this task with comments if you know you will not be able to meet that target date or have additional questions about what to do or how to do it. Ideally you will create new instances in your Cloud VPS project, test them, and then migrate any final state data to the new instances before deleting the old Jessie instances. If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

bd808 added a comment.Jan 1 2020, 8:45 PM

@Hydriz You marked this project as "in use" in the 2019 project purge. Can you provide an estimate of when you or others may be able to address this issue?

bd808 added a comment.Jan 15 2020, 6:20 PM

No response from either @Nemo_bis or @Hydriz yet. I just left a message on https://meta.wikimedia.org/w/index.php?title=User_talk:Nemo_bis&diff=19708450&oldid=19660923 to try another channel.

Thank you. Sorry for missing this. I think that once again the easiest path is to delete the instances and recreate them. However, I'm not sure exactly what data needs to be kept for Hydriz's projects. I'm now going to delete a few directories of mine and at least the dumps-2 instance.

Nemo_bis added a comment.EditedJan 19 2020, 9:23 PM

At the moment, I suspect the only ongoing project are the usual incremental dumps, which are still working: https://archive.org/details/incr-kowikinews-20200116

For that we only need to preserve the /data/project directories and re-add this crontab for the hydriz user on one machine:

0 2 * * * python /data/project/incrdumps/launcher.py one
0 2 * * * python /data/project/incrdumps/launcher.py two
0 3 * * * python /data/project/incrdumps/checker.py
0 4 * * * python /data/project/incrdumps/list.py

So I moved these to dumps-0, which has more stuff I wouldn't be sure to move around today, and I deleted dumps-1 as well.

As far as I can tell this task is resolved, please let me know if not. Tomorrow I'll check if the incremental dumps have run correctly.

bd808 closed this task as Resolved.Jan 22 2020, 5:16 PM
bd808 assigned this task to Nemo_bis.

Thank you @Nemo_bis!